POST
/
v1
/
projects
/
{project_id}
/
files
Upload a project file
curl --request POST \
  --url https://platform.jobbit.uk/v1/projects/{project_id}/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'description=<string>' \
  --form read_contents=false
import requests

url = "https://platform.jobbit.uk/v1/projects/{project_id}/files"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"description": "<string>",
"read_contents": "false"
}
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');
form.append('description', '<string>');
form.append('read_contents', 'false');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://platform.jobbit.uk/v1/projects/{project_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.jobbit.uk/v1/projects/{project_id}/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"read_contents\"\r\n\r\nfalse\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: multipart/form-data"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://platform.jobbit.uk/v1/projects/{project_id}/files"

payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"read_contents\"\r\n\r\nfalse\r\n-----011000010111000001101001--")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.post("https://platform.jobbit.uk/v1/projects/{project_id}/files")
.header("Authorization", "Bearer <token>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"read_contents\"\r\n\r\nfalse\r\n-----011000010111000001101001--")
.asString();
require 'uri'
require 'net/http'

url = URI("https://platform.jobbit.uk/v1/projects/{project_id}/files")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"description\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"read_contents\"\r\n\r\nfalse\r\n-----011000010111000001101001--"

response = http.request(request)
puts response.read_body
{
  "id": "f19d4c70-2b8e-4a35-9d6c-07e3a5b81c42",
  "project_id": "e57b2a93-0d6c-4f18-9a41-83c1d7e0b2f4",
  "task_id": null,
  "name": "clinic-price-list.pdf",
  "description": "Current treatment prices",
  "file_url": "https://jobbit-s3.ams3.digitaloceanspaces.com/p/e57b2a93/clinic-price-list.pdf",
  "file_type": "document",
  "content_type": "application/pdf",
  "thumbnail_url": null,
  "size_bytes": 204800,
  "content_state": "indexed",
  "created_by": "7b0e2c4a-1d3f-4c8e-9a52-6f1d0e8b3a77",
  "author": null,
  "updated_by": null,
  "editor": null,
  "created_at": "2026-10-13T10:00:00",
  "updated_at": null
}
{
"error": {
"code": "invalid_key",
"message": "the API key is missing or invalid",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "insufficient_scope",
"message": "this key does not have the deploy:write permission",
"details": {
"required": "deploy:write"
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "not_found",
"message": "no such project or item",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "payload_too_large",
"message": "File too large",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "invalid_request",
"message": "the request is not valid",
"details": [
{
"location": [
"body",
"name"
],
"message": "String should match pattern '^[a-z0-9][a-z0-9-]*$'",
"type": "string_pattern_mismatch"
}
],
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "rate_limited",
"message": "too many read requests, retry in 4 s",
"details": {
"group": "read",
"limit": 120,
"window_seconds": 60
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}

Authorizations

Authorization
string
header
required

An API key from Settings → API keys, sent as Authorization: Bearer jb_live_…

Path Parameters

project_id
string
required

The project id.

Body

multipart/form-data
file
file
required

The file.

description
string

What the file is.

read_contents
boolean
default:false

Let the agent read inside the file.

Response

The file.

id
string
required

The file id.

project_id
string
required

The project.

name
string
required

The file name.

file_url
string
required

A link to the file.

file_type
string
required

image, media or document.

task_id
string | null

The task it came from.

description
string | null

A description.

content_type
string | null

The media type.

thumbnail_url
string | null

A preview image.

size_bytes
integer | null

Size in bytes.

content_state
string

Whether the agent has read inside it: none, requested, indexed or another progress state.

created_by
string | null

Who added it.

author
object | null
updated_by
string | null

Who changed it last.

editor
object | null
created_at
string<date-time>

When it was added.

updated_at
string<date-time> | null

When it last changed.